Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1686742 - update createrepo_c to 0.12.1
Summary: update createrepo_c to 0.12.1
Keywords:
Status: MODIFIED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: createrepo_c
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Pavla Kratochvilova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-08 08:39 UTC by Kenyon Ralph
Modified: 2019-04-08 12:55 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Kenyon Ralph 2019-03-08 08:39:04 UTC
Please package createrepo_c 0.12.1 for EPEL 7. I would like to be able to use the --set-timestamp-to-revision option introduced in that version so that I can generate reproducible repo data. Thanks.

Comment 1 Marek Blaha 2019-03-08 09:47:59 UTC
You can try package from our nightly copr repo - https://copr.fedorainfracloud.org/coprs/rpmsoftwaremanagement/dnf-nightly/

Comment 3 Kenyon Ralph 2019-03-09 05:40:20 UTC
(In reply to Marek Blaha from comment #1)
> You can try package from our nightly copr repo -
> https://copr.fedorainfracloud.org/coprs/rpmsoftwaremanagement/dnf-nightly/

That works, thanks!

Comment 4 Fedora Update System 2019-03-14 14:51:12 UTC
createrepo_c-0.12.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e9c06fa4ec

Comment 5 Fedora Update System 2019-03-15 06:26:36 UTC
createrepo_c-0.12.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e9c06fa4ec

Comment 6 Tuomo Soini 2019-04-01 08:45:10 UTC
This package Obsoletes createrepo package which afaik is still in rhel7. Epel package must not oboslete or replace core os packages.

Comment 7 Pavla Kratochvilova 2019-04-01 10:17:51 UTC
Jarda Mracek made a patch to make the obsolete conditional (if Fedora > 30 or RHEL > 7): https://github.com/rpm-software-management/createrepo_c/pull/142

Comment 8 Fedora Update System 2019-04-01 10:40:25 UTC
createrepo_c-0.12.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-76bf660607

Comment 9 Carl George 2019-04-03 14:13:55 UTC
Pavla, it's mentioned in the comments of https://github.com/rpm-software-management/createrepo_c/pull/142 that some symlinks need to be conditionalized as well (https://github.com/rpm-software-management/createrepo_c/pull/144).  Can that change be made to the epel7 branch and a new build submitted?

Comment 10 Pavla Kratochvilova 2019-04-04 12:19:03 UTC
Carl, I will submit new build for epel7 once the PR gets merged.

Comment 11 Carl George 2019-04-05 21:14:15 UTC
Pavla, I just realized this request is invalid.  createrepo_c is in RHEL Extras.

$ is-it-in-rhel --release 7 --channel createrepo_c
createrepo_c is in RHEL 7;   version: 0.10.0;   arch: x86_64;   channel: rhel-7-server-extras-rpms

By policy, a newer version cannot be shipped in EPEL.  In fact the existing one needs to be retired.

https://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#Policy

Kenyon, since the EPEL package must be retired, I'm changing the product of this bug to RHEL 7 to request this update from the RHEL maintainer.


Note You need to log in before you can comment on or make changes to this bug.